Loading...
Searching...
No Matches
Dune::UMFPackMethodChooser< std::complex< double > > Struct Reference
Iterative Solvers Template Library (ISTL)

`#include <dune/istl/umfpack.hh>`

Inheritance diagram for Dune::UMFPackMethodChooser< std::complex< double > >:

## Public Types

using | size_type = SuiteSparse_long

## Static Public Member Functions

template<typename... A>
static void | defaults (A... args)
template<typename... A>
static void | free_numeric (A... args)
template<typename... A>
static void | free_symbolic (A... args)
template<typename... A>
static int | load_numeric (A... args)
template<typename... A>
static void | numeric (const size_type *cs, const size_type *ri, const double *val, A... args)
template<typename... A>
static void | report_info (A... args)
template<typename... A>
static void | report_status (A... args)
template<typename... A>
static int | save_numeric (A... args)
template<typename... A>
static void | solve (size_type m, const size_type *cs, const size_type *ri, std::complex< double > *val, double *x, const double *b, A... args)
template<typename... A>
static void | symbolic (size_type m, size_type n, const size_type *cs, const size_type *ri, const double *val, A... args)

## Static Public Attributes

static constexpr bool | valid = true

The documentation for this struct was generated from the following file:

- umfpack.hh